Summary:	PHP class to generate PDF files
Name:		php-fpdf
Version:	1.7
Release:	%mkrel 2
License:	MIT
Group:		Development/PHP
Source0:	fpdf17.tgz
URL:		http://www.fpdf.org
BuildArch:	noarch
BuildRequires:	dos2unix


%description
FPDF is a PHP class that allow generating PDF files with pure PHP, that is to
say without using the PDFlib library. FPDF provides high-level functions and 
has the following main features:

 - Choice of measure unit, page format, and margins
 - Page header and footer management
 - Automatic page break
 - Automatic line break and text justification
 - Image support (JPEG and PNG)
 - Colors
 - Links
 - TrueType, Type1, and encoding support
 - Page compression

%prep

%setup -q -n fpdf17

find . -name "*.htm" \
     -name "*.css" \
     -name "*.txt" \
     -name "*.ini" \
     -name "*.mat" \
     -name "*.afm" \
     -name "*.ttf" \
     -name "*.z" \
     -name "*.png" \
     -exec chmod 644 {} \;

find . -name "*.txt" -name "*.ini" -exec dos2unix -U {} \;

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/php/fpdf
cp -a fpdf.php %{buildroot}%{_datadir}/php/fpdf/
cp -pR font %{buildroot}%{_datadir}/php/fpdf/

install -d %{buildroot}%{_docdir}/php-fpdf
cp -pR doc %{buildroot}%{_docdir}/php-fpdf/
cp -pR tutorial %{buildroot}%{_docdir}/php-fpdf/
cp -p FAQ.htm fpdf.css fpdf.php install.txt license.txt %{buildroot}%{_docdir}/php-fpdf/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_datadir}/php/fpdf
%{_docdir}/php-fpdf





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 375751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 21 2011 spuhler <spuhler> 1.7-1.mga2
+ Revision: 185204
- upgrade to 1.7
  removed cp -p histo.htm since it doesn't exist in 1.7

* Sun Feb 06 2011 spuhler <spuhler> 1.6-4.mga1
+ Revision: 47890
- removed buildroot definition from .spec
- imported package php-fpdf

